/*------------------------------------------------------------------------------
 * Classification:      UNCLASSIFIED
 * Organization:        SPAWAR Systems Center
 *                      53560 Hull St, San Diego, California 92152-5001, U.S.A
 *                      Property of the U.S. Government
 *----------------------------------------------------------------------------*/
import React from "react";
import PropTypes from "prop-types";

/** Label with required field display, htmlFor, and block styling */
function Label({ htmlFor, label, required }) {
    return (
        <label style={{ display: "block" }} htmlFor={htmlFor}>
            {label} {required && <span style={{ color: "red" }}> *</span>}
            <span />
        </label>
    );
}

Label.propTypes = {
    /** HTML ID for associated input */
    htmlFor: PropTypes.string.isRequired,
    /** Label text */
    label: PropTypes.string.isRequired,
    /** Display asterisk after label if true */
    required: PropTypes.bool
};

Label.defaultProps = {
    required: false
};

export default Label;
