/*------------------------------------------------------------------------------
 * Classification:      UNCLASSIFIED
 * Organization:        SPAWAR Systems Center
 *                      53560 Hull St, San Diego, California 92152-5001, U.S.A
 *                      Property of the U.S. Government
 *----------------------------------------------------------------------------*/
import React from "react";
import PropTypes from "prop-types";
/* eslint-disable */
const Navigation = ({ components }) => {
    return (
        <ul className="navigation">
            {
                components.map(name => {
                    return (
                        <li key={name}>
                            <a href={`#${name}`}>{name}</a>
                        </li>
                    );
                })
            }
        </ul>
    );
};

Navigation.propTypes = {
    components: PropTypes.array.isRequired
};
/* eslint-enable */
export default Navigation;
