/*------------------------------------------------------------------------------
 * Classification:      UNCLASSIFIED
 * Organization:        SPAWAR Systems Center
 *                      53560 Hull St, San Diego, California 92152-5001, U.S.A
 *                      Property of the U.S. Government
 *----------------------------------------------------------------------------*/
import React from "react";
import PropTypes from "prop-types";
/* eslint-disable */
const Props = ({ props }) => {
    return (
        <table className="props">
            <thead>
            <tr>
                <th>Name</th>
                <th>Description</th>
                <th>Type</th>
                <th>Default</th>
                <th>Required</th>
            </tr>
            </thead>
            <tbody>
            {
                Object.keys(props)
                    .map(key => {
                        return (
                            <tr key={key}>
                                <td>{key}</td>
                                <td>{props[key].description}</td>
                                <td>{props[key].type.name}</td>
                                <td>{props[key].defaultValue && props[key].defaultValue.value}</td>
                                <td>{props[key].required && "X"}</td>
                            </tr>
                        );
                    })
            }
            </tbody>
        </table>
    );
};
Props.propTypes = {
    props: PropTypes.object.isRequired
};
/* eslint-enable */

export default Props;
